> ## Documentation Index
> Fetch the complete documentation index at: https://webdeeds.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new swap request



## OpenAPI

````yaml https://api.webdeeds.org/openapi.json post /v1/swap
openapi: 3.1.1
info:
  title: Webdeeds
  description: Webdeed's official public API
  version: 0.0.1
servers:
  - url: https://api.webdeeds.org
security: []
paths:
  /v1/swap:
    post:
      tags:
        - Swap
      summary: Create a new swap request
      operationId: postV1Swap
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                inputs:
                  type: array
                  items:
                    type: string
                outputs:
                  type: array
                  items:
                    type: string
              required:
                - inputs
                - outputs
      responses:
        '200':
          description: Swap request accepted
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
        '400':
          description: Invalid request

````